property soundEffect, channelNumber

on getPropertyDescriptionList
  description = [:]
  soundList = []
  repeat with i = 1 to the number of castMembers
    if member(i, 0).type = #sound then
      soundList.add(member(i, 0).name)
    end if
  end repeat
  addProp(description, #soundEffect, [#default: EMPTY, #format: #string, #comment: "play sound:", #range: soundList])
  addProp(description, #channelNumber, [#default: 3, #format: #integer, #comment: "sound channel:", #range: [1, 2, 3]])
  return description
end

on mouseUp me
  channelNumber = 2
  puppetSound(soundEffect, channelNumber)
end
