property xSprite, i, o, xLib, saveState, mediaFolder, xTension
global previewImage, downloadList

on beginSprite me
  xSprite = me.spriteNum
  i = sprite(xSprite).member.name & "-RO"
  o = sprite(xSprite).member.name
  xLib = sprite(xSprite).castLibNum
  mediaFolder = "PHOTOS"
  xTension = "tif"
  updateSave()
end

on mouseWithin me
  sprite(xSprite).member = member(i, xLib)
  cursor(280)
end

on mouseLeave me
  if saveState = 0 then
    sprite(xSprite).member = member(o, xLib)
  else
    sprite(xSprite).member = member(i, xLib)
  end if
  cursor(0)
end

on endSprite me
  cursor(0)
end

on mouseUp me
  downloadItem = [mediaFolder, previewImage, xTension]
  if saveState = 0 then
    saveState = 1
    downloadList.add(downloadItem)
  else
    saveState = 0
    downloadList.deleteAt(downloadList.getPos(downloadItem))
  end if
end

on updateSave me
  downloadItem = [mediaFolder, previewImage, xTension]
  if downloadList.getPos(downloadItem) <> 0 then
    saveState = 1
    sprite(xSprite).member = member(i, xLib)
  else
    saveState = 0
    sprite(xSprite).member = member(o, xLib)
  end if
end
