property mediaFolder, downloadFile, xTension, saveState, i, o, xLib, xSprite
global downloadList

on getPropertyDescriptionList me
  description = [:]
  addProp(description, #mediaFolder, [#default: EMPTY, #format: #string, #comment: "FOLDER:"])
  addProp(description, #downloadFile, [#default: EMPTY, #format: #string, #comment: "FILE:"])
  addProp(description, #xTension, [#default: EMPTY, #format: #string, #comment: ".EXT:"])
  return description
end

on runPropertyDialog me, description
  myFile = new(xtra("fileio"))
  fileLink = displayOpen(myFile)
  myFile = 0
  the itemDelimiter = fileSeperator()
  mediaFolder = fileLink.item[fileLink.item.count - 1]
  downloadFile = fileLink.item[fileLink.item.count]
  the itemDelimiter = "."
  xTension = downloadFile.item[2]
  downloadFile = downloadFile.item[1]
  setaProp(description, #mediaFolder, mediaFolder)
  setaProp(description, #downloadFile, downloadFile)
  setaProp(description, #xTension, xTension)
  return description
end

on beginSprite me
  xSprite = me.spriteNum
  i = sprite(xSprite).member.name & "-RO"
  o = sprite(xSprite).member.name
  xLib = sprite(me.spriteNum).castLibNum
  updateSave()
end

on mouseWithin me
  sprite(xSprite).member = member(i, xLib)
  cursor(280)
end

on mouseLeave me
  if saveState = 0 then
    sprite(xSprite).member = member(o, xLib)
  else
    sprite(xSprite).member = member(i, xLib)
  end if
  cursor(0)
end

on endSprite me
  cursor(0)
end

on mouseUp me
  downloadItem = [mediaFolder, downloadFile, xTension]
  if saveState = 0 then
    saveState = 1
    downloadList.add(downloadItem)
  else
    saveState = 0
    downloadList.deleteAt(downloadList.getPos(downloadItem))
  end if
end

on updateSave me
  downloadItem = [mediaFolder, downloadFile, xTension]
  if downloadList.getPos(downloadItem) <> 0 then
    saveState = 1
    sprite(xSprite).member = member(i, xLib)
  else
    saveState = 0
    sprite(xSprite).member = member(o, xLib)
  end if
end
