property xLib, initImage
global previewImage

on getPropertyDescriptionList
  rangeList = []
  xLib = "PREVIEWS"
  repeat with x = 1 to the number of castMembers of castLib xLib
    if member(x, xLib).type = #bitmap then
      rangeList.add(member(x, xLib).name)
    end if
  end repeat
  description = [:]
  addProp(description, #initImage, [#default: EMPTY, #format: #string, #comment: "rollover image:", #range: rangeList])
  return description
end

on beginSprite me
  previewImage = initImage
  xLib = "PREVIEWS"
  sprite(me.spriteNum).member = member(initImage, xLib)
  updateStage()
end

on updatePreview me, x, y
  if y = VOID then
    y = xLib
  end if
  previewImage = x
  sprite(me.spriteNum).member = member(x, y)
  updateStage()
end
